import * as constants from './constants';
var config = {};

function setConfig(conf) {
  config = conf; // IMPORTANT - config should be link to RC.Config, do not clone conf object!!!
}

function getConfig() {
  return config;
}

function testConfig(config) {
  setConfig(Object.assign({
    brandId: constants.defaultBrandId,
    userLanguage: constants.defaultUserLanguage,
    brandDisplayName: constants.defaultBrandDisplayName,
    shortBrandName: constants.defaultShortBrandName
  }, config || {}));
}

export { setConfig, getConfig, testConfig };